# We are currently experiencing issues with account & payment-related actions. Please click here for real-time status reports and affected components.
# We are currently experiencing issues with account & payment-related actions. Please click here for real-time status reports and affected components.

System requirements for Prezi Present

Prezi Present online

To use Prezi Present online (www.prezi.com), you need a Windows or Mac computer that meets our minimum system requirements and a stable internet connection.

Minimum Operating system requirements

 

Windows

  • OS: Windows 7 SP1 (64 bit) or newer with updated drivers and DirectX 9 or higher
  • Processor: Intel Core i3 2.00 GHz or AMD equivalent
  • Memory: Minimum of 4 GB RAM
  • Graphics: NVIDIA GeForce 405 / AMD Radeon 5000 or higher with 512 MB memory (or comparable)

Mac

  • OS: OS X 10.11 or higher
  • Model year: 2011 or newer
  • Processor: Intel Core i3 or better
  • Memory: Minimum of 4 GB RAM
  • Graphics: Intel HD Graphics 4000 (or comparable)
  • Additional notes: On older machines (non-Intel Iris integrated graphics) a dedicated graphics card is required
Note: Prezi Present is not officially supported on Linux.


Supported browsers

Prezi Present presentations can currently be edited and viewed on a Windows or Mac computer using the latest version of the following browsers:

Note: To run Prezi Present, supported browsers must have hardware acceleration and WebGL 2 enabled.

Prezi Present desktop app

Prezi for Desktop requires about 1GB of storage space to install. You can download the Prezi Present desktop app here.

Minimum Operating system requirements

 

Windows

  • Windows 10 (64 bit) or newer with DirectX 11 or higher

Mac

  • Mac OS 10.15 or higher

Prezi Viewer mobile app

If using your phone or tablet, our Prezi Viewer app is optimized to view, present, and share presentations on Android and iOS devices but currently does not support editing.

Mobile requirements 

Android: Android 5.0 Lollipop or newer and at least OpenGL ES 3.0 support

iOS: iOS 11 or newer

Prezi Video

To learn more about the system requirements for the Prezi Video online editor and the Prezi Video desktop application, please check this article

Was this article helpful?

We're here to help

Reach out to our support team or get your questions answered by one of our expert trainers by joining a live training.

contact support buoy icon

Contact support